log:
  level: 'info'
  dirname: 'logs'
  filename: 'feeder.log'
  maxSize: '1kb'
  maxFiles: 10
telemetry:
  enable: true
  serverPort: 2121
feeder: "" #filled with your pryzm feeder address
feederMnemonic: "" #filled with your pryzm mnemonic feeder address
validator: "" #filled with your pryzm valoper address
voteReservedTimeMillis: 3000
chain:
  rpcUrl: "http://localhost:26657"
  lcdUrl: "http://localhost:1317"
  grpcWebUrl: "http://localhost:9091"
  wsUrl: "ws://localhost:26657"
  wsTimeout: 5000
  addressPrefix: "pryzm"
  denom: "upryzm"
  broadcastTimeoutMs: 5000
  gasPrice: "0.02factory/pryzm15k9s9p0ar0cx27nayrgk6vmhyec3lj7vkry7rx/uusdsim"
  preVoteFee: 2
  combinedVoteFee: 2
  blockCommitTimeoutMillis: 5500
databaseService:
  disable: false
  database:
    name: "pryzm-feeder"
    host: "localhost"
    port: 5432
    user: "postgres"
    password: "postgres"
    migrationPath: "./migrations"
ammPlugin:
  disable: false
osmoMonitoringService:
  disable: false
  datasource: "osmo"
  lcdUrl: "https://osmosis-testnet-api.polkachu.com"
  fetchIntervalSeconds: 1
  #    startFromLatestBlock: true
  chainBlockCommitTimeoutSeconds: 6 # seconds
pryzmMonitoringService:
  disable: false
  datasource: "pryzm"
  grpcWebUrl: "http://localhost:9091"
  fetchIntervalSeconds: 1
  #    startFromLatestBlock: true
  chainBlockCommitTimeoutSeconds: 6 # seconds
assetsPlugin:
  disable: false
assetsHostChainMonitoringService:
  disable: false
  exchangeRatesFetchIntervalSeconds: 1
  assets:
    - assetId: "usim"
      lcd: "https://testnet-rs.pryzm.zone/usim"
      contract: "address"
      base64StateQuery: query # base64 string for {'state': {}}
icStakingPlugin:
  disable: false
icStakingHostChainMonitoringService:
  disable: false
  monitoringIntervalSeconds: 1
  chains:
    - id: "uatom"
      lcdUrl: "https://cosmos-testnet-api.w3coins.io"
    - id: "uluna"
      lcdUrl: "https://terra-testnet-api.polkachu.com"
    - id: "uosmo"
      lcdUrl: "https://osmosis-testnet-api.polkachu.com"
    - id: "inj"
      lcdUrl: "https://injective-testnet-api.polkachu.com"
